/*
 * config.h
 *
 *  Created on: Apr 23, 2021
 *      Author: Thom Maughan, tm@mbari.org
 */

#ifndef MPHOX_CONFIG_H_
#define MPHOX_CONFIG_H_


void configuration_menu(void);
void config_data_fields(void);

int write_metadata_header(const time_t currentTime);
void print_data_header(void);
void get_header(void);
int get_deployment_note(void);
void set_metadata(void);
void enter_pH_sensor_cal_coeff(void);
void change_baud_rate(void);

void print_metadata_header(const time_t currentTime);
void print_all_metadata(void);  // print out all metadata
void print_metadata_header(const time_t currentTime);  //void print_metadata_header(void);  // print out the metadata header for deployment



#endif /* CONFIG_H_ */
